Skip to content

Anonymize end user

Request

Request the anonymization of an end user.

Security
ApiKeyAuth
Path
userIdstring, (uuid)required

The id of the end user to anonymize

Query
forceboolean

Whether to force close all the conversations initiated by the end user, if any are found in a non closed state.

Default:false
PATCH
/v1/endusers/{userId}/anonymize
curl -i -X PATCH \
  'https://dev.dixa.io/v1/endusers/{userId}/anonymize?force=false' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

The end user's anonymization request status

Bodyapplication/json
dataobject(AnonymizationRequestStatus)required
Response
{ "data": { "id": "6bf55369-a670-4e6b-9f70-ecdb9913549f", "entityType": "UserAnonymizationType", "_type": "User", "initiatedAt": "2021-12-01T12:46:36.581Z[GMT]", "targetEntityId": "f28fafd6-2e42-4441-943c-388a8e0ef433", "requestedBy": "2b01e4c9-0c3a-47d4-9462-cd5a1a4687f5" } }